function generate_table (length,posprob,negprob)
# Jeder Botschafter hat Tischnachbarn neben sich, gegenüber und schräg gegenüber
    Neighbours = zeros(length*2,5);
    for i = 1:length
      Neighbours(2*i-1,1) = 2*i;
      Neighbours(2*i-1,2) = Neighbours(2*i,2) = 2*i-3;
      Neighbours(2*i-1,3) = Neighbours(2*i,3) = 2*i-2;
      Neighbours(2*i-1,4) = Neighbours(2*i,4) = 2*i+1;
      Neighbours(2*i-1,5) = Neighbours(2*i,5) = 2*i+2;
      Neighbours(2*i,1) = 2*i-1;
    endfor
# Nachbarn, die über das Ende der Tafel hinausgehen, werden entfernt
    for i = 1:2*length
      for j = 1:5
        if((Neighbours(i,j)<1)|(Neighbours(i,j)>2*length))
          Neighbours(i,j) = 0;
        endif
      endfor
    endfor

# Eine zufällige Präferenzmatrix wird bestimmt, jeder Botschafter hat gewisse Vorlieben,
# gewisse Abneigungen und neutrale Gegenüber
# Diese Präferenzmatrix könnte im konkreten Fall von einem Gastgeber erstellt werden
    Preference = zeros(2*length);
    for i = 1:2*length
      for j = 1:2*length
        r = rand;
        if(r<posprob)
          Preference(i,j) = -1;
        elseif(r<negprob+posprob)
          Preference(i,j) = +1;
        endif
      endfor
    endfor
    
    WPar = {Neighbours,Preference};
    
# Als Startkonfiguration werden alle Botschafter der Reihe nach platziert.
    Config = zeros(1,2*length);
    
    for i = 1:2*length
      Config(i) = i;
    endfor

# Die Startdarten werden für die Simulation gespeichert
    save Config.dat Config WPar;
endfunction
