function res = energy (Config,WPar)
# Berechne die Energie für eine bestimmte Form der Kette
    res = 0;
    n_nodes = rows(Config)-1;
# Potentielle Lageenergie (Summe der Höhen der einzelnen Knoten)
    for i = 1:n_nodes-1
      res = res + Config(i+1,2)*WPar(4);
    endfor
# Spannungsenergie (Die Verlängerungen der einzelnen Teilstücke werden quadriert und
# mit der Federkonstante multipliziert)
    for i = 1:n_nodes
      dx = Config(i+1,1) - Config(i,1);
      dy = Config(i+1,2) - Config(i,2);
      dist = sqrt(dx*dx + dy*dy) - WPar(2);
      res = res + 0.5*WPar(3)*dist*dist;
    endfor
endfunction
