function res = energy (Config,WPar)
# Berechne die Energie für eine bestimmte Kühlturmform
    res = 0;
    n_nodes = rows(Config)-1;
    for i = 1:n_nodes
    # Oberflächenenergie, die Fläche setzt sich aus einzelnen Kegelstümpfen zusammen
      h1 = Config(i,1);
      h2 = Config(i+1,1);
      r1 = Config(i,2);
      r2 = Config(i+1,2);
      s = sqrt((h2-h1)*(h2-h1) + (r2-r1)*(r2-r1));
      A = 3.141592*(r1+r2)*s;
      res = res + A*WPar(4);
    # Höhenenergie (Lage des Schwerpunkts mal Masse)
      schw = (h1*r1+h2*r2) / (r1+r2);
      res = res + schw*A*WPar(5);
    endfor
endfunction
