function optimize (n_tries,T1,T2)
    load Config.dat Config WPar;

    OldConfig = Config;							# Letzter und aktueller Zustand des Systems
    oldE = energy(OldConfig,WPar);				# Energie ausrechnen
    NewConfig = OldConfig;
    bestE = oldE;
    BestConfig = OldConfig;						# Bisher günstigsten Zustand initialisieren
    
    for i = 1:n_tries
      T = T1 * exp(log(T2/T1)*i/n_tries);		# Temperatur des Systems exponentiell abkühlen
      NewConfig = exchange(OldConfig,WPar,T);	# Einen neuen Zustand erzeugen
      newE = energy(NewConfig,WPar);			# Neue Energie berechnen
      if(newE < oldE)
        oldE = newE;							# Falls der neue Zustand besser ist, übernehmen
        OldConfig = NewConfig;
      elseif(rand < exp((oldE-newE)/T))			# Falls der neue Zustand schlechter ist,
        oldE = newE;							# nach Metropolis übernehmen
        OldConfig = NewConfig;
      endif
      if(newE < bestE)							# Falls der neue Zustand am besten ist, abspeichern
        bestE = newE;
        BestConfig = NewConfig;
      endif
    endfor

    Config = BestConfig;
    save Config.dat Config WPar;				# Beste Lösung speichern
endfunction
