function network_exact
    load Probabilities.mat NeiMat ProbMat;
    n_nei = columns(NeiMat);
    n_sites = rows(NeiMat);
    StochMat = zeros(n_sites);
    for k = 1:n_sites                   # Stochastische Matrix schreiben
      p = 1;
      for i = 1:n_nei
        if(ProbMat(k,i)>0.0)
          StochMat(k,NeiMat(k,i)) = StochMat(k,NeiMat(k,i)) + ProbMat(k,i);
        endif
        p = p  - ProbMat(k,i);
      endfor
      StochMat(k,k) = p;
    endfor
    [evect,evalu] = eig(StochMat');     # Eigenvektoren bestimmen
    maxpos = 1;
    maxval = 0.0;
    for i = 1:n_sites
      if(evalu(i,i)>maxval)
        maxval = evalu(i,i);
        maxpos = i;
      endif
    endfor                              # Linker Eigenvektor mit grösstem Eigenwert
                                        # entspricht dem stationären Zustand
    ProfVec = abs(evect(:,maxpos) / norm(evect(:,maxpos),1));
    save Profile_exact.dat ProfVec      # er wird normiert gespeichert
endfunction
