function network (n_steps)
    load Network.mat NeiMat WPar StateVec; # Matrizen laden, die erste Matrix enthält die
    load Profile.dat StateVec HistMat;     # Nachbarn von jedem Platz, die zweite Parameter,
                                           # welche an die Unterroutine weitergegeben werden,
                                           # die dritte den Anfangszustand des Systems
    n_sites = rows(NeiMat);                # Anzahl Plaetze bestimmen
    n_nei = columns(NeiMat);               # Anzahl Nachbarn pro Platz
    ResultVec = StateVec;                  # Zwischenkopie des Zustandvektors
    NeiVec = zeros(1,n_nei);               # Dient der Uebergabe
    n_hist = rows(HistMat);

    for k = 1:n_steps
      HistCount = ones(n_hist);
# Schleife über alle Zellen
      for j = 1:n_sites
# Für jeden möglichen Zellzustand wird die Anzahl der Zellen in diesem Zustand gezählt
        HistCount(StateVec(j)) = HistCount(StateVec(j)) + 1;
# Die Zustände der Nachbarzellen werden zusammengetragen
        for i = 1:n_nei
          NeiVec(i) = StateVec(NeiMat(j,i));
        endfor
# Daraus wird ein neuer Zellzustand bestimmt
        ResultVec(j) = new_state(StateVec(j),NeiVec,WPar);
      endfor
      StateVec = ResultVec;
# Für jeden möglichen Zellzustand wird ein Histogramm gebildet
      for j = 1:n_hist
        HistMat(j,HistCount(j)) = HistMat(j,HistCount(j)) + 1;
      endfor
    endfor
# Endzustand speichern
    save Profile.dat StateVec HistMat       
endfunction
