function res = new_state(this_state,nei_state,WPar)
  # WPar ist eine Matrix mit drei Einträgen
  # Wkeit, dass auf einer leeren Zelle ein Baum wächst
  # Wkeit, dass ein Baum zu brennen beginnt, wenn kein Nachbar brennt
  # Wkeit, dass ein Baum zu brennen beginnt, wenn mindestens ein Nachbar brennt
  # Bedeutung der Zustände: leer = 1, Baum = 2, Feuer = 3
  switch(this_state)
    case 1
      if(rand<WPar(1))
        res = 2;   # Baum wächst
      else
        res = 1;   # Kein Baum wächst
      endif
    case 3
      res = 1;     # Brennende Zelle wird leer      
    case 2
# Count number of burning neighbours
      Bcount = 0;
      for i=1:4
        if(nei_state(i) == 2)
          Bcount = Bcount + 1;
        endif
      endfor
      if(Bcount > 0)
        p = WPar(3);  # Hohe Wkeit zu brennen
      else
        p = WPar(2);  # Niedrige Wkeit zu brennen
      endif
      if(rand<p)
        res = 3;      # Baum brennt
      else
        res = 2;      # Baum überlebt
      endif
  endswitch
endfunction